get_color_depth(3)

NAME
get_color_depth - Returns the current pixel color depth. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_color_depth(void);

DESCRIPTION
Returns the current pixel format. This can be very useful to know in order to write generic functions which select a different code path internally depending on the color depth being used. Note that the function returns whatever value you may have set previously with set_color_depth(), which can be different from the current color depth of the screen global variable. If you really need to know the color depth of the screen, use bitmap_color_depth().

SEE ALSO
set_color_depth(3), bitmap_color_depth(3), exrgbhsv(3)